Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.runtime
Interface RuntimeServicesInfraTier

All Known Implementing Classes:
  CentralisedRuntimeServices, JadeRuntimeServices, SaciRuntimeServices

    public interface RuntimeServicesInfraTier

This interface is implemented by the infrastructure tier (Saci/Centralised/...) to provide concrete runtime services.

Method Summary
`AgArch` | `clone(Agent source, java.lang.String archClassName, java.lang.String agName)` Clones an agent
`boolean` | `createAgent(java.lang.String agName, java.lang.String agSource, java.lang.String agClass, java.lang.String archClass, ClassParameters bbPars, Settings stts)` Creates a new agent with agName from source agSource, using agClass as agent class (default value is jason.asSemantics.Agent), archClass as agent architecture class (default value is jason.architecture.AgArch), bbPars as the belief base class (default value is DefaultBeliefBase), and stts as Settings (default value is new Settings()).
`java.util.Set<java.lang.String>` | `getAgentsNames()` Returns a set of all agents' name
`int` | `getAgentsQty()` Gets the number of agents in the MAS.
`boolean` | `killAgent(java.lang.String agName)` Kills the agent named agName.
`void` | `stopMAS()` Stop all MAS (the agents, the environment, the controller, ...)

Method Detail

### createAgent

    boolean createAgent(java.lang.String agName,
                        java.lang.String agSource,
                        java.lang.String agClass,
                        java.lang.String archClass,
                        ClassParameters bbPars,
                        Settings stts)
                        throws java.lang.Exception

  Creates a new agent with agName from source agSource, using agClass as agent class (default value is jason.asSemantics.Agent), archClass as agent architecture class (default value is jason.architecture.AgArch), bbPars as the belief base class (default value is DefaultBeliefBase), and stts as Settings (default value is new Settings()).

  Example: createAgent("bob", "bob.asl", "mypkg.MyAgent", null, null, null);

  Throws:
    `java.lang.Exception`

### clone

    AgArch clone(Agent source,
                 java.lang.String archClassName,
                 java.lang.String agName)
                 throws JasonException

  Clones an agent

  Parameters:
    `source:` - the used as source of beliefs, plans, ...
    `archClassName:` - the architecture that will be used
    `agName:` - the name of the clone
  Returns:
    the agent arch created
  Throws:
    `JasonException`

### killAgent

    boolean killAgent(java.lang.String agName)

  Kills the agent named agName. The stopAg() method, in the agent architecture is called before the agent is removed.

### getAgentsNames

    java.util.Set<java.lang.String> getAgentsNames()

  Returns a set of all agents' name

### getAgentsQty

    int getAgentsQty()

  Gets the number of agents in the MAS.

### stopMAS

    void stopMAS()
                 throws java.lang.Exception

  Stop all MAS (the agents, the environment, the controller, ...)

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD